Template:ApacheOXModsSUSE

Revision as of 07:43, 4 March 2011 by Choeger (talk | contribs)

Now as the Open-Xchange Server has been set up and the database is running, we have to configure the Apache webserver and the mod_proxy_ajp module to access the groupware frontend. To gain better GUI performance, the usage of mod_expires and mod_deflate is strongly recommended. Those modules will limit the amount of client requests and compress the delivered content.

$ a2enmod proxy && a2enmod proxy_ajp && a2enmod expires && a2enmod deflate && a2enmod headers && a2enmod rewrite && a2enmod proxy_balancer

To be on the save side and not interfere with YaST or SuSEconfig, add the following to /etc/sysconfig/apache2:

APACHE_MODULES="actions alias auth_basic authn_file authz_host authz_groupfile authz_user authn_dbm autoindex cgi dir env expires include log_config mime negotiation setenvif ssl suexec userdir proxy headers deflate authz_default proxy_ajp rewrite proxy_balancer"